<div class="wrap">
    <h1>TelegaPay Платежи</h1>

    <table class="wp-list-table widefat fixed striped">
        <thead>
            <tr>
                <th>ID Транзакции</th>
                <th>Описание</th>
                <th>Сумма</th>
                <th>Валюта</th>
                <th>Статус</th>
                <th>Дата создания</th>
                <th>Последнее обновление</th>
                <th>Действия</th>
            </tr>
        </thead>
        <tbody>
            <?php if ($payments): ?>
                <?php foreach ($payments as $payment): ?>
                    <tr>
                        <td><?php echo esc_html($payment->transaction_id); ?></td>
                        <td>
                            <?php if (!empty($payment->order_id) && function_exists('wc_get_order')): ?>
                                <?php $order = wc_get_order($payment->order_id); ?>
                                <?php if ($order): ?>
                                    <a href="<?php echo esc_url(admin_url('post.php?post=' . $payment->order_id . '&action=edit')); ?>">
                                        <?php echo esc_html($payment->description); ?>
                                    </a>
                                <?php else: ?>
                                    <?php echo esc_html($payment->description); ?>
                                <?php endif; ?>
                            <?php else: ?>
                                <?php echo esc_html($payment->description); ?>
                            <?php endif; ?>
                        </td>
                        <td><?php echo esc_html($payment->amount); ?></td>
                        <td><?php echo esc_html($payment->currency); ?></td>
                        <td>
                            <span class="payment-status payment-status-<?php echo esc_attr($payment->status); ?>">
                                <?php
                                    switch ($payment->status) {
                                        case 'awaiting':
                                            echo 'Ожидает оплаты';
                                            break;
                                        case 'completed':
                                            echo 'Оплачен';
                                            break;
                                        case 'cancelled':
                                            echo 'Отменен';
                                            break;
                                        case 'expired':
                                            echo 'Истек срок';
                                            break;
                                        default:
                                            echo esc_html($payment->status);
                                    }
                                ?>
                            </span>
                        </td>
                        <td><?php echo esc_html(date_i18n('d.m.Y H:i:s', strtotime($payment->created_at))); ?></td>
                        <td><?php echo esc_html(date_i18n('d.m.Y H:i:s', strtotime($payment->updated_at))); ?></td>
                        <td>
                            <a href="<?php echo esc_url(admin_url('admin-ajax.php?action=telegapay_check_status&transaction_id=' . $payment->transaction_id . '&_wpnonce=' . wp_create_nonce('telegapay-check-status'))); ?>" class="button button-small">Проверить статус</a>
                        </td>
                    </tr>
                <?php endforeach; ?>
            <?php else: ?>
                <tr>
                    <td colspan="8">Платежи не найдены</td>
                </tr>
            <?php endif; ?>
        </tbody>
    </table>

    <?php if ($total_pages > 1): ?>
        <div class="tablenav bottom">
            <div class="tablenav-pages">
                <span class="pagination-links">
                    <?php
                        echo paginate_links(array(
                            'base' => add_query_arg('paged', '%#%'),
                            'format' => '',
                            'prev_text' => __('&laquo;'),
                            'next_text' => __('&raquo;'),
                            'total' => $total_pages,
                            'current' => $page
                        ));
                    ?>
                </span>
            </div>
        </div>
    <?php endif; ?>
</div>

<style>
    .payment-status {
        padding: 3px 8px;
        border-radius: 3px;
        font-weight: bold;
    }
    .payment-status-awaiting {
        background-color: #f8f9fa;
        color: #6c757d;
    }
    .payment-status-completed {
        background-color: #d4edda;
        color: #155724;
    }
    .payment-status-cancelled {
        background-color: #f8d7da;
        color: #721c24;
    }
    .payment-status-expired {
        background-color: #fff3cd;
        color: #856404;
    }
</style>